petsc-3.12.1 2019-10-22
Report Typos and Errors

# KSPFCGGetTruncationType

get the truncation strategy employed by FCG

### Synopsis

    #include "petscksp.h"
    PetscErrorCode KSPFCGGetTruncationType(KSP ksp,KSPFCDTruncationType *truncstrat)

Not Collective

### Input Parameter

ksp -the Krylov space context

### Output Parameter

truncstrat -the strategy type

### See Also

KSPFCG, KSPFCGSetTruncationType, KSPFCDTruncationType

### Level

intermediate

### Location

src/ksp/ksp/impls/fcg/fcg.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages